ServerEvents.recipes(event => {
    event.remove({id: 'generatorgalore:generators/iron'})
    event.remove({id: 'generatorgalore:generators/gold'})
    event.remove({id: 'generatorgalore:generators/diamond'})
    event.remove({id: 'generatorgalore:generators/emerald'})
    event.remove({id: 'generatorgalore:generators/obsidian'})
    event.remove({id: 'generatorgalore:generators/ender'})
    event.remove({id: 'generatorgalore:generators/netherite'})
    event.remove({id: 'generatorgalore:generators/netherstar'})
    event.remove({id: 'generatorgalore:upgrades/copper_to_iron_upgrade'})
    event.remove({id: 'generatorgalore:upgrades/iron_to_gold_upgrade'})
    event.remove({id: 'generatorgalore:upgrades/gold_to_diamond_upgrade'})
    event.remove({id: 'generatorgalore:upgrades/diamond_to_emerald_upgrade'})
    event.remove({id: 'generatorgalore:upgrades/emerald_to_obsidian_upgrade'})
    event.remove({id: 'generatorgalore:upgrades/obsidian_to_netherite_upgrade'})
    event.remove({id: 'generatorgalore:upgrades/netherite_to_netherstar_upgrade'})
})

ServerEvents.recipes(event => {
    //Iron Generator
    event.shaped('generatorgalore:iron_generator',
    ['121','232','121'], {
        1: 'create:andesite_alloy',
        2: '#forge:storage_blocks/brass',
        3: 'generatorgalore:copper_generator'
    }).id('generatorgalore:iron_generator')

    //Gold Generator
    event.shaped('generatorgalore:gold_generator',
    ['121','232','121'], {
        1: '#forge:ingots/arcane_gold',
        2: '#forge:ingots/steel',
        3: 'generatorgalore:iron_generator'
    }).id('generatorgalore:gold_generator')

    //Diamond Generator
    event.shaped('generatorgalore:diamond_generator',
    ['121','232','121'], {
        1: '#aether:gems/zanite',
        2: '#forge:gems/pulsating_crystal',
        3: 'generatorgalore:gold_generator'
    }).id('generatorgalore:diamond_generator')

    //Emerald Generator
    event.shaped('generatorgalore:emerald_generator',
    ['121','232','121'], {
        1: '#forge:ingots/fiery',
        2: 'blue_skies:horizonite_ingot',
        3: 'generatorgalore:diamond_generator'
    }).id('generatorgalore:emerald_generator')

    //Obsidian Generator
    event.shaped('generatorgalore:obsidian_generator',
    ['121','232','121'], {
        1: 'occultism:spirit_attuned_gem',
        2: '#forge:ingots/compressed_iron',
        3: 'generatorgalore:emerald_generator'
    }).id('generatorgalore:obsidian_generator')

    //Netherite Generator
    event.shaped('generatorgalore:netherite_generator',
    ['121','232','121'], {
        1: '#forge:ingots/dragonsteel',
        2: 'naturesaura:sky_ingot',
        3: 'generatorgalore:obsidian_generator'
    }).id('generatorgalore:netherite_generator')

    //Netherstar Generator
    event.shaped('generatorgalore:netherstar_generator',
    ['121','232','121'], {
        1: '#forge:nether_stars',
        2: '#forge:ingots/alfsteel',
        3: 'generatorgalore:netherite_generator'
    }).id('generatorgalore:netherstar_generator')

    //Iron Generator Upgrade
    event.shaped('generatorgalore:copper_to_iron_upgrade',
    ['121','232','121'], {
        1: 'create:andesite_alloy',
        2: '#forge:storage_blocks/brass',
        3: 'minecraft:item_frame'
    }).id('generatorgalore:copper_to_iron_upgrade')

    //Gold Generator Upgrade
    event.shaped('generatorgalore:iron_to_gold_upgrade',
    ['121','232','121'], {
        1: '#forge:ingots/arcane_gold',
        2: '#forge:ingots/steel',
        3: 'minecraft:item_frame'
    }).id('generatorgalore:iron_to_gold_upgrade')

    //Diamond Generator Upgrade
    event.shaped('generatorgalore:gold_to_diamond_upgrade',
    ['121','232','121'], {
        1: '#aether:gems/zanite',
        2: '#forge:gems/pulsating_crystal',
        3: 'minecraft:item_frame'
    }).id('generatorgalore:gold_to_diamond_upgrade')

    //Emerald Generator Upgrade
    event.shaped('generatorgalore:diamond_to_emerald_upgrade',
    ['121','232','121'], {
        1: '#forge:ingots/fiery',
        2: 'blue_skies:horizonite_ingot',
        3: 'minecraft:item_frame'
    }).id('generatorgalore:diamond_to_emerald_upgrade')

    //Obsidian Generator Upgrade
    event.shaped('generatorgalore:emerald_to_obsidian_upgrade',
    ['121','232','121'], {
        1: 'occultism:spirit_attuned_gem',
        2: '#forge:ingots/compressed_iron',
        3: 'minecraft:item_frame'
    }).id('generatorgalore:emerald_to_obsidian_upgrade')

    //Netherite Generator Upgrade
    event.shaped('generatorgalore:obsidian_to_netherite_upgrade',
    ['121','232','121'], {
        1: '#forge:ingots/dragonsteel',
        2: 'naturesaura:sky_ingot',
        3: 'minecraft:item_frame'
    }).id('generatorgalore:obsidian_to_netherite_upgrade')

    //Netherstar Generator Upgrade
    event.shaped('generatorgalore:netherite_to_netherstar_upgrade',
    ['121','232','121'], {
        1: '#forge:nether_stars',
        2: '#forge:ingots/alfsteel',
        3: 'minecraft:item_frame'
    }).id('generatorgalore:netherite_to_netherstar_upgrade')
})